Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class IndexStep

    java.lang.Object
      org.deegree.ogcbase.PropertyPathStep
          org.deegree.ogcbase.IndexStep

    public class IndexStep

extends PropertyPathStep

`PropertyPathStep` implementation that selects a specified occurence of an element (using the element name as property name).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  `PropertyPathStep`

Field Summary

Fields inherited from class org.deegree.ogcbase.PropertyPathStep
`propertyName`

Constructor Summary
`IndexStep(QualifiedName elementName, int selectedIndex)` Creates a new instance of `IndexStep` that selects the specified occurence of the element with the given name.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getSelectedIndex()` Returns the index of the selected element.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.deegree.ogcbase.PropertyPathStep
`getPropertyName, setPropertyName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexStep

    IndexStep(QualifiedName elementName,
              int selectedIndex)

  Creates a new instance of `IndexStep` that selects the specified occurence of the element with the given name.

  Parameters:
    `elementName` -
    `selectedIndex` -

Method Detail

### getSelectedIndex

    public int getSelectedIndex()

  Returns the index of the selected element.

  Returns:
    the index of the selected element

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PropertyPathStep`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org